%define	pkgversion	1.3.7
%define srcdir	/usr/src
%if 0%{?suse_version}
%define _group  www
%else
%define _group  apache
%endif
Name:		nfsen
Version:	1.3.7
Release:	2.1
Summary:	Netflow Sensor
Group:		Productivity/Networking
Url:		http://nfsen.sourceforge.net/
License:	BSD
Source0:	%{name}-%{pkgversion}.tar.bz2
Source1:	nfsen-rpm-suse.conf
Source2:	nfsen-rpm-rh.conf
Source3:	nfsen.init.suse
Source4:	nfsen-install-GetPerl.patch
Source5:	nfsen.init.rh
Source6:	nfsen-no_warnings.patch
Source8:	nfsen-create-piddir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
BuildRequires:	nfsen_prepare_build >= 0.1
BuildRequires:	nfdump >= 1.6.5
BuildRequires:	perl-MailTools
BuildRequires:	rrdtool
%if 0%{?suse_version}
BuildRequires:	mod_php_any
BuildRequires:	php-sockets
%else
BuildRequires:	httpd php
%endif
BuildRequires:	perl-Socket6

Requires:	nfdump >= 1.6.5
Requires:	perl-MailTools
Requires:	rrdtool
Requires:	patch
%if 0%{?suse_version}
Requires:	mod_php_any
Requires:	php-sockets
%else
Requires:	httpd php
Requires:	rrdtool-perl
%endif
Requires:	perl-Socket6 bzip2

%description
NfSen is a graphical web based front end for the nfdump netflow tools.

%prep
%setup -c -T

%build


%install
%if 0%{?suse_version}
%__install -D -m0755 %{S:3} %{buildroot}%{_sysconfdir}/init.d/nfsen
%else
%__install -D -m0755 %{S:5} %{buildroot}%{_sysconfdir}/init.d/nfsen
%endif
%__install -d -m0755 %{buildroot}%{_sbindir}
ln -sf ../../%{_sysconfdir}/init.d/nfsen %{buildroot}%{_sbindir}/rcnfsen
%__install -d -m0755 %{buildroot}%{srcdir}

for src in %{S:0} %{S:1} %{S:2} %{S:4} %{S:6} %{S:8} ; do
%__install -m0644 ${src} %{buildroot}%{srcdir}/
done

%pre
if [ $1 == 1 ] ; then
if [ -z "`%__grep "^netflow" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "netflow" -d %{_datadir}/nfsen -g %{_group} -r -s /bin/false netflow
fi
fi

%post
# install
if [ "$1" == "1" ] ; then
	cd %{srcdir}
	tar xfj %{name}-%{pkgversion}.tar.bz2
	cd %{name}-%{pkgversion}
	patch -p0 < ../nfsen-install-GetPerl.patch
	patch -p0 < ../nfsen-no_warnings.patch
	patch -p0 < ../nfsen-1.3.6p1_frontend-backend-version.patch
	patch -p0 < ../nfsen-create-piddir.patch
	%if 0%{?suse_version}
	./install.pl ../nfsen-rpm-suse.conf
	%else
	./install.pl ../nfsen-rpm-rh.conf
	%endif
	cd ..
	rm -rf %{name}-%{pkgversion}
	service nfsen start || :

# upgrade
elif [ "$1" == "2" ] ; then
	cd %{srcdir}
	tar xfj %{name}-%{pkgversion}.tar.bz2
	cd %{name}-%{pkgversion}
	patch -p0 < ../nfsen-install-GetPerl.patch
	patch -p0 < ../nfsen-no_warnings.patch
	patch -p0 < ../nfsen-1.3.6p1_frontend-backend-version.patch
	patch -p0 < ../nfsen-create-piddir.patch
	service nfsen stop || :
	if [ -f /etc/nfsen/nfsen.conf ] ; then
		./install.pl /etc/nfsen/nfsen.conf
	else
		%if 0%{?suse_version}
		./install.pl ../nfsen-rpm-suse.conf
		%else
		./install.pl ../nfsen-rpm-rh.conf
		%endif
	fi
	service nfsen start || :
	cd ..
	rm -rf %{name}-%{pkgversion}
fi
%postun
%if 0%{?suse_version}
if [ "$1" == "0" ]; then
%insserv_cleanup
fi
%endif

%preun
# upgrade
if [ "$1" == "1" ] ; then
	:
# uninstall
elif [ "$1" == "0" ] ; then
	%if 0%{?suse_version}
		%stop_on_removal nfsen
	%else	
		service nfsen stop || :
	%endif
	# do not delete profile-data & profile-state
	rm -rfv %{_datadir}/nfsen/{libexec,plugins} /srv/www/htdocs/nfsen
	rm -rfv %{_bindir}/nfsen* %{_bindir}/RebuildHierarchy.pl %{_bindir}/testPlugin
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{srcdir}/%{name}-%{pkgversion}.tar.bz2
%{srcdir}/%{name}-rpm-*.conf
%{srcdir}/nfsen-install-GetPerl.patch
%{srcdir}/nfsen-no_warnings.patch
%{srcdir}/nfsen-create-piddir.patch
%{_sysconfdir}/init.d/nfsen
%{_sbindir}/rcnfsen

%changelog
* Wed Feb 11 2015 cs@linux-administrator.com
- update to release 1.3.7
- drop nfsen-1.3.6p1_frontend-backend-version.patch
* Wed Dec 10 2014 cs@linux-administrator.com
- add nfsen-create-piddir.patch
* Fri Oct 17 2014 cs@linux-administrator.com
- add nfsen-1.3.6p1_frontend-backend-version.patch
* Tue Jul 29 2014 cs@linux-administrator.com
- add nfsen-no_warnings.patch
* Thu Feb 13 2014 cs@linux-administrator.com
- add redhat init script
* Sat Jan  5 2013 cs@linux-administrator.com
- build against rrdtool 1.4.x
* Sun Mar  4 2012 cs@linux-administrator.com
- update to release 1.3.6p1
* Tue Jan 24 2012 cs@linux-administrator.com
- update to release 1.3.6
